package com.jpattern.orm.query.clause.where;

import java.util.Arrays;
import java.util.Collection;

/**
 * 
 * @author Francesco Cina
 *
 * 19/giu/2011
 */
public class NInExpressionElement extends AExpressionElement {

	/**
	 * 
	 */
	

	public NInExpressionElement(String property, Object[] values) {
		this(property, Arrays.asList(values));
	}
	
	public NInExpressionElement(String property, Collection<?> values) {
		setProperty(property);
		setValues(values);
	}

	@Override
	public String getExpressionElementKey() {
		return "not in";
	}

}
